/*
 * @(#) PieChartBeanInfo.java 1.0 99/7/24
 * Copyright (c) 1997 Larry Rodrigues
 */

  package vis.beans.plotter;
  import java.awt.*;
  import java.beans.*;
  import java.lang.reflect.*;

  /** PieChartBeanInfo Class
    * @version 1.0  24  July 1999
    * @author Larry Rodrigues
    **/

  public class PieChartBeanInfo extends SimpleBeanInfo {
     protected Class pieClass = null;
     public PieChartBeanInfo(){
        pieClass = PieChart.class;
     }

     public Image getIcon(int iconType){
         return loadImage("pie.gif");
     }

     public BeanDescriptor getBeanDescriptor(){
        BeanDescriptor bd = new BeanDescriptor(pieClass, PieChartCustomizer.class);
        bd.setDisplayName("Pie Chart");
        return bd;
     }
 }


